package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumPayDomain {

    PAY_DOMAIN_MASTER_ACCOUNT_ID(8, ""),
    PAY_DOMAIN_MASTER_APPINFO_ID(8, "");

    public static EnumPayDomain getEnum(Integer code) {
        for (EnumPayDomain value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumPayDomain(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
